Skip to main content
`Ctrl`+`K`

# PCTelescopeGetDM

Get the re-partitioned `DM` attached to the sub-`KSP`.

## Synopsis

    #include "petscksp.h"
    #include "petscdm.h"
    PetscErrorCode PCTelescopeGetDM(PC pc, DM *subdm)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- subdm - The re-partitioned `DM`

## See Also

KSP: Linear System Solvers, `DM`, `PCTELESCOPE`, `PCTelescopeSetIgnoreDM()`, `PCTelescopeSetUseCoarseDM()`, `PCTelescopeGetIgnoreKSPComputeOperators()`

## Level

advanced

## Location

src/ksp/pc/impls/telescope/telescope.c

## Implementations

PCTelescopeGetDM_Telescope() in src/ksp/pc/impls/telescope/telescope.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages